> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Profile Tier

> A `GET` to the `/profiles/{profileId}/tiers` endpoint allows your application to retrieve a Profiles Tier data.

<Note>
  **Tier Definitions**

  The Profile tier contains information about the tier in relation to the profile.
  Tier definitions contain data unique to each individual tier.
  For further information about the structure of data unique to each tier, you can review [Tier Definitions](ref:tier-definitions)
</Note>

```json theme={null}
{
   "id":663,
   "profile_id":"92441ab4-331a-41dc-b598-9fa22311b3",
   "current_tier":{
      "id":1,
      "name":"Bronze",
      "handle":"bronze",
      "is_floor":true,
      "value_min":0,
      "value_maintain":0,
      "is_assignable":false,
      "internal_notes":null,
      "description":null,
      "short_description":"Bronze",
      "long_description":"<p>Bronze Tier </p>",
      "terms_conditions":null,
      "icon":null,
      "image_url":null,
      "earn_instructions":null,
      "tags":[

      ],
      "created_at":"2020-05-15 11:18:24",
      "updated_at":"2020-11-19 11:18:24"
   },
   "next_tier":{
      "id":2,
      "name":"Silver",
      "handle":"silver",
      "is_floor":false,
      "value_min":1000,
      "value_maintain":1000,
      "is_assignable":true,
      "internal_notes":null,
      "description":null,
      "short_description":"★",
      "long_description":"<p>Silver Tier</p>",
      "terms_conditions":null,
      "icon":null,
      "image_url":null,
      "earn_instructions":null,
      "tags":[

      ],
      "created_at":"2020-05-15 11:19:04",
      "updated_at":"2020-11-19 11:17:47"
   },
   "prev_tier":null,
   "is_floor":true,
   "current_credit":0,
   "current_progress":0,
   "current_remain":0,
   "next_progress":0,
   "next_remain":1000,
   "total_points_12m":0,
   "total_points_achievement":null,
   "anniversary_at":"2022-01-21 23:59:59",
   "assigned_at":null,
   "achieved_at":"2021-01-21 00:00:00",
   "created_at":"2021-01-21 01:07:28",
   "updated_at":"2021-01-21 01:07:28"
}
```

## Tier Properties

Header level tier data containing information about the profiles tier progress as a whole

|                                      |                                                                                                                                                                                                                                                                                                           |
| ------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id `INTEGER` `READ-ONLY`             | The ID of the profile tier record                                                                                                                                                                                                                                                                         |
| profile\_id `STRING`                 | The `profile_id` of the profile the tier is attached to.                                                                                                                                                                                                                                                  |
| current\_tier `OBJECT` `TIER`        | The current tier the profile has achieved.                                                                                                                                                                                                                                                                |
| next\_tier `OBJECT` `TIER`           | The next level tier the profile can achieve                                                                                                                                                                                                                                                               |
| prev\_tier `OBJECT` `TIER`           | The previous tier the profile has achieved                                                                                                                                                                                                                                                                |
| is\_floor `BOOLEAN`                  | Denotes whether this profile is currently on the lowest tier the profile can achieve                                                                                                                                                                                                                      |
| current\_credit `INTEGER`            | The total points issues this year, minus the `value_min` How much credit was applied when the member achieved this tier. For example, if their annual spend was $600 when the tier was achieved but the tier threshold is $500 they will have a \$100 credit toward their maintenance goal for that year. |
| current\_progress `INTEGER`          | How much the member has spent since achieving their current tier. This marks their "progress" towards achieving the maintenance goal for the current year.                                                                                                                                                |
| current\_remain `INTEGER`            | The *remaining* points required to achieve the maintenance goal for the current tier, for the current year                                                                                                                                                                                                |
| next\_progress `INTEGER`             | How much the member has spent in the last 365 days. This marks their "progress" towards achieving the next tier.                                                                                                                                                                                          |
| next\_remain `INTEGER`               | The *remaining* points required to achieve the next tier.                                                                                                                                                                                                                                                 |
| total\_points\_12m `INTEGER`         | The total amount of point achieved in the last 12m                                                                                                                                                                                                                                                        |
| total\_points\_achievement `INTEGER` | The total points achieved issues after the `achieved_at` date (the date of the latests achieved tier)                                                                                                                                                                                                     |
| anniversary\_at `DATE-TIME`          | the anniversary of the date the member achieved their latest tier                                                                                                                                                                                                                                         |
| assigned\_at `DATE-TIME`             | The date the current tier was manually assigned to the member. If the member achieved this normally, this field will be `null`                                                                                                                                                                            |
| achieved\_at `DATE-TIME`             | The date the member achieve their current profile tier                                                                                                                                                                                                                                                    |
| created\_at `DATE-TIME` `READ-ONLY`  | The UTC date & time the Profile record was created in ISO 8601 format.                                                                                                                                                                                                                                    |
| updated\_at `DATE-TIME` `READ-ONLY`  | The UTC date & time the Profile record was last updated in ISO 8601 format.                                                                                                                                                                                                                               |


## OpenAPI

````yaml get /v3/profiles/{profile}/tiers
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/tiers:
    get:
      tags:
        - Profile Tier
      summary: Read Profile Tier
      description: >-
        A `GET` to the `/profiles/{profileId}/tiers` endpoint allows your
        application to retrieve a Profiles Tier data.
      operationId: profileTier.show
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                      profile_id:
                        type: string
                      current_tier:
                        $ref: '#/components/schemas/TierDefinition'
                      next_tier:
                        anyOf:
                          - $ref: '#/components/schemas/TierDefinition'
                          - type: 'null'
                      prev_tier:
                        anyOf:
                          - $ref: '#/components/schemas/TierDefinition'
                          - type: 'null'
                      is_floor:
                        type: string
                      current_credit:
                        type: string
                      current_progress:
                        type: string
                      current_remain:
                        type: string
                      next_progress:
                        type: string
                      next_remain:
                        type: string
                      total_points_12m:
                        type: string
                      total_points_achievement:
                        type: string
                      total_points_pending:
                        type: string
                      next_progress_change_at:
                        type: string
                      anniversary_at:
                        type: string
                      maintained_at:
                        type: string
                      assigned_at:
                        type: string
                      achieved_at:
                        type: string
                      created_at:
                        type: string
                      updated_at:
                        type: string
                    required:
                      - id
                      - profile_id
                      - current_tier
                      - next_tier
                      - prev_tier
                      - is_floor
                      - current_credit
                      - current_progress
                      - current_remain
                      - next_progress
                      - next_remain
                      - total_points_12m
                      - total_points_achievement
                      - total_points_pending
                      - next_progress_change_at
                      - anniversary_at
                      - maintained_at
                      - assigned_at
                      - achieved_at
                      - created_at
                      - updated_at
                required:
                  - data
        '204':
          description: No content
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    TierDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        is_floor:
          type: string
        value_min:
          type: integer
        value_maintain:
          type:
            - integer
            - 'null'
        is_assignable:
          type: boolean
        internal_notes:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        long_description:
          type:
            - string
            - 'null'
        terms_conditions:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        disable_credit:
          type:
            - boolean
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        meta:
          type:
            - array
            - 'null'
          items: {}
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
            is_default:
              type:
                - boolean
                - 'null'
            currency:
              type:
                - string
                - 'null'
            created_at:
              type: string
            updated_at:
              type: string
          required:
            - id
            - name
            - handle
            - is_default
            - currency
            - created_at
            - updated_at
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - is_floor
        - value_min
        - value_maintain
        - is_assignable
        - internal_notes
        - description
        - short_description
        - long_description
        - terms_conditions
        - icon
        - image_url
        - earn_instructions
        - disable_credit
        - tags
        - meta
        - region_id
        - region
        - created_at
        - updated_at
      title: TierDefinition
    Tag:
      type: string
      title: Tag
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````